# Crate futures_util [−] [src]

Combinators and utilities for working with `Future`s, `Stream`s, `Sink`s, and the `AsyncRead` and `AsyncWrite` traits.

## Modules

future | Asynchronous values.
never | This module contains the `Never` type.
stream | Asynchronous streams.
task | Tools for working with tasks.

## Macros

pin_mut | Pins a value on the stack.
ready | Extracts the successful type of a `Poll<T>`.